apt 3.2.0 commandline package manager

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
pkgVersioningSystem Class Referenceabstract
Inheritance diagram for pkgVersioningSystem:

## Public Member Functions
virtual int | DoCmpVersion (const char *A, const char *Aend, const char *B, const char *Bend)=0
virtual bool | CheckDep (const char *PkgVer, int Op, const char *DepVer)=0
virtual int | DoCmpReleaseVer (const char *A, const char *Aend, const char *B, const char *Bend)=0
virtual std::string | UpstreamVersion (const char *A)=0
virtual bool | TestCompatibility (pkgVersioningSystem const &Against)
| APT_MKSTRCMP (CmpVersion, DoCmpVersion)
| APT_MKSTRCMP (CmpReleaseVer, DoCmpReleaseVer)

## Static Public Member Functions
static pkgVersioningSystem * | GetVS (const char *Label) APT_PURE

## Public Attributes
const char * | Label

## Static Public Attributes
static pkgVersioningSystem ** | GlobalList = VSList
static unsigned long | GlobalListLen = 0

The documentation for this class was generated from the following files:

- apt-pkg/version.h
- apt-pkg/version.cc